%define upstream_name    POE-Component-Client-Ping
%define upstream_version 1.177

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Concurrent ICMP ping without fork or threads
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE) >= 1.7.0
BuildRequires: perl(Time::HiRes) >= 1.200.0
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::Client::Ping is non-blocking ICMP ping client. It lets
several other sessions ping through it in parallel, and it lets them
continue doing other things while they wait for responses.

Ping client components are not proper objects. Instead of being created, as
most objects are, they are "spawned" as separate sessions. To avoid
confusion (and hopefully not cause other confusion), they must be spawned
with a 'spawn' method, not created anew with a 'new' one.

PoCo::Client::Ping's 'spawn' method takes a few named parameters:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# requires root privilege
rm -f t/zz_rt_72055.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.177.0-3.mga10
+ Revision: 2211845
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.177.0-2.mga9
+ Revision: 1830453
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.177.0-1.mga9
+ Revision: 1691478
- update to 1.177

* Wed Feb 12 2020 umeabot <umeabot> 1.175.0-3.mga8
+ Revision: 1505788
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.175.0-2.mga7
+ Revision: 1285463
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 guillomovitch <guillomovitch> 1.175.0-1.mga7
+ Revision: 1133155
- new version 1.175

* Sun Jun 19 2016 pterjan <pterjan> 1.174.0-6.mga6
+ Revision: 1032485
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.174.0-5.mga6
+ Revision: 934016
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.174.0-4.mga5
+ Revision: 747969
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.174.0-3.mga5
+ Revision: 733318
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.174.0-2.mga5
+ Revision: 685817
- Mageia 5 Mass Rebuild

* Mon Dec 23 2013 guillomovitch <guillomovitch> 1.174.0-1.mga4
+ Revision: 560075
- new version 1.174

* Fri Oct 18 2013 umeabot <umeabot> 1.173.0-3.mga4
+ Revision: 513862
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.173.0-2.mga3
+ Revision: 371223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.173.0-1.mga3
+ Revision: 306207
- update to 1.173

* Tue Jun 05 2012 jquelin <jquelin> 1.171.0-1.mga3
+ Revision: 255280
- update to 1.171

* Mon Jan 09 2012 guillomovitch <guillomovitch> 1.170.0-1.mga2
+ Revision: 194298
- imported package perl-POE-Component-Client-Ping


* Mon Jan 09 2012 cpan2dist 1.170-1mga
- initial mageia release, generated with cpan2dist
